Skip to content

[GET] List All Workspace Users⚓︎

Retrieves a list of all users currently associated with the authenticated tenant and workspace.

All Users⚓︎

GET/api/v1.0/external/sdworkspace/allusers/{workspaceId}

Example Request⚓︎

curl -X 'GET' \
  'https://cloud.smartdocumentor.net/api/v1.0/external/sdworkspace/allusers/1' \
  --header 'Authorization: Bearer {your access token here}' \
  --header 'accept: application/json'
var client = new HttpClient();

var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdworkspace/allusers/1");
request.Headers.Add("Authorization", "Bearer {your access token here}");
request.Headers.Add("Accept", "application/json");

var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();

Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests

url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdworkspace/allusers/1"

headers = {
    'Authorization': 'Bearer {your access token here}',
    'Accept': 'application/json'
}

response = requests.get(url, headers=headers)

print(response.text)
const myHeaders = new Headers();
myHeaders.append("Authorization", `Bearer {your access token here}`);
myHeaders.append("Accept", "application/json");

const requestOptions = {
    method: 'GET',
    headers: myHeaders
};

fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdworkspace/allusers/1", requestOptions)
    .then(response => response.text())
    .then(result => console.log(result))
    .catch(error => console.log('error', error));

Responses⚓︎

[
  {
    "id": 101,
    "roleName": "Manager",
    "name": "Name",
    "userName": "User Name",
    "email": "[email protected]",
    "createdAt": "2022-10-17T18:03:55Z",
    "emailConfirmed": true,
    "status": "Active"
  }
]

Response Body List<ExternalUserViewModel>⚓︎

Response Body ExternalUserViewModel⚓︎

NameTypeDescription
idintegerUnique identifier of the user.
roleNamestringName of the role assigned to the user.
namestringFull name of the user.
userNamestringUsername or login of the user.
emailstringEmail address of the user.
createdAtstringTimestamp indicating when the user was created in the tenant.
emailConfirmedbooleanIndicates whether the user's email has been confirmed.
statusstringCurrent status of the user in the tenant (e.g., Active, Inactive, etc).

{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "A server error occurred while processing your request. Please try again later. Trace ID:"
}

Response Body Problem Detail JSON Object⚓︎